<?php    
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package luzuk Premium
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap" rel="stylesheet">

	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
	<script src="https://code.jquery.com/jquery-3.1.1.min.js" integrity="sha384-3ceskX3iaEnIogmQchP8opvBy3Mi7Ce34nWjpBIwVTHfGYWQS9jwHDVRnpKKHJg7" crossorigin="anonymous"></script>

	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>

    <script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" type="text/javascript"  ></script>
   <script src="<?php echo get_template_directory_uri(); ?>/js/swiper.min.js" type="text/javascript"  ></script>
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.0.min.js"></script>
   	

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div class="main-container">
		<!-- <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'luzuk' ); ?></a> -->
		<div id="loading-area"><div class="la-anim-10"></div></div>
		<!-- header -->
		<!-- #masthead -->
		<header class="site-header header-transparent header header-seo">
			<div class="top-bar-head">
				<div class="container clearfix">
					<div class="header-logo">
						<div class="header-brd"></div>
						<div class="row mr-0">
							<div class="col-lg-4 col-md-4 col-sm-4 col-xs-10 col-2 pd-0 header-left">
								<?php
					                $headerphone = get_theme_mod('headerphone', '2353-4352-555');
					            ?>
								<?php if( $headerphone){ ?>
								    <div class="header-phone ">
										<a href="tel:<?php echo $headerphone;?>"><i class="fa fa-phone" aria-hidden="true"></i><?php echo ($headerphone);  ?></a>
						        	</div>
					        	<?php }?>
					        	<?php if( $headerphone){ ?>
						        	<div class="head-icon">
										<i class="fa fa-phone" ></i>
										<span class="tooltiptext">
											<a href="tel:<?php echo $headerphone;?>"><?php echo ($headerphone);  ?></a>
										</span>
									</div>
								<?php }?>
							</div>
							<div class="col-lg-4 col-md-4 col-sm-4 col-xs-10 col-6 header-middle">
								<div class="header-left logo">	
									<?php 
									
										if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
											$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
										}

										?>
										<div class="logo-header mostion">
											<?php 
											if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
												the_custom_logo();
										else : 
											if ( is_front_page() ) : ?>
												<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
												<?php else : ?>
													<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
												<?php endif; ?>
											<?php endif; ?>
											<?php if( get_theme_mod('head_tagline_display','show' ) == 'show') :?>	
										<p class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></p> 
										<?php endif ?>  
										</div> 
										<!-- nav toggle button -->
										<div class="resp_header_logo">
											<?php 
											if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
												the_custom_logo();
										else : 
											if ( is_front_page() ) : ?>
												<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
												<?php else : ?>
													<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
											<?php endif; ?>
												<!-- <p class="ht-site-description"><a href="<?php //echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php //bloginfo( 'description' ); ?></a></p> -->
										<?php endif; ?>
									</div>
								</div>
							</div>
							<div class="col-lg-4 col-md-4 col-sm-4 col-xs-10 col-4 pd-0 header-right">
								<?php
					                $headermail = get_theme_mod('headermail', 'info@example.com');
					            ?>
								<?php if( $headermail){ ?>
								    <div class="header-mail ">
										<a href="mailto:<?php echo $headermail;?>"><i class="fa fa-envelope" aria-hidden="true"></i><?php echo ($headermail);  ?></a>
						        	</div>
					        	<?php }?>
					        	<?php if( $headerphone){ ?>
						        	<div class="head-icon">
										<i class="fa fa-envelope" aria-hidden="true"></i>
										<span class="tooltiptext">
											<a href="mailto:<?php echo $headermail;?>"><?php echo ($headermail);  ?></a>
										</span>
									</div>
								<?php }?>
						    </div>
						</div>
					</div>
					<div class="header-mainmenu">
						<div class="row mr-0">
							<div class="col-xl-7 col-lg-6 col-md-2 col-sm-2 col-2 pd-0 head-menubx">
								<div class="head-menu">
									<div class="site-navigation ">
					                    <div class="nav-menus">                 
											<a class="js-nav-toggle">
													<span></span>
											</a>
										    <div class="nav-wrapper">
												<nav role="navigation">
													<div class="nav-toggle">
														<span class="nav-back"></span>
														<span class="nav-title">Menu</span>
														<span class="nav-close"></span>
													</div>
													<?php
				                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
				                                            wp_nav_menu ( array(
				                                                'menu_class' => 'mainm ht-clearfix',
				                                                'container'=> 'ul',
				                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
				                                                'theme_location' => 'primary',  
				                                            )); 
				                                        } else {
				                                            wp_nav_menu ( array(
				                                                'menu_class' => 'mainm ht-clearfix',
				                                                'container'=> 'ul',
				                                                'theme_location' => 'primary',  
				                                            )); 
				                                        }
				                                    ?>
												</nav>
											</div>
										</div>
					                    <nav class="navigation">
					                        <div class="overlaybg"></div>
					                            <div class="menu-wrapper">
					                                <div class="menu-content">
					                                    <?php
					                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
					                                            wp_nav_menu ( array(
					                                                'menu_class' => 'mainmenu ht-clearfix',
					                                                'container'=> 'ul',
					                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
					                                                'theme_location' => 'primary',  
					                                            )); 
					                                        } else {
					                                            wp_nav_menu ( array(
					                                                'menu_class' => 'mainmenu ht-clearfix',
					                                                'container'=> 'ul',
					                                                'theme_location' => 'primary',  
					                                            )); 
					                                        }
					                                    ?>
					                                </div> <!-- /.hours-content-->
													<div class="clearfix"></div>
					                        	</div><!-- /.menu-wrapper --> 
				                        	</nav>
				                        <div class="clearfix"></div>
				                    </div>
								</div>  
								<div class="clearfix"></div>
							</div>
							<?php
								$facebook = get_theme_mod('header_fb', '//www.facebook.com/');
								$instagram = get_theme_mod('header_insta', 'https://www.instagram.com/');
								$twitter = get_theme_mod('header_tw', '//www.twitter.com/');	
							?>
							<?php if(!empty($facebook || $instagram || $twitter)){ ?>
								<div class="col-xl-2 col-lg-2 col-md-3 col-sm-4 col-xs-4 col-2 head-sharebx">
									<button type="button" class="btn share-icn"><i class="fa fa-share-alt-square" aria-hidden="true"></i> </button>
									<div class="share-btn">
											<?php if(!empty($facebook)){ ?>
												<li><a href="<?php echo $facebook ?>" title="Facebook" target="_blank"><i class="fa fa-facebook"></i></a></li>
											<?php }?>

											<?php if(!empty($twitter)){ ?>
												<li><a href="<?php echo $twitter ?>" title="Twitter" target="_blank"><i class="fa fa-twitter"></i></a></li>
											<?php }?>

											<?php if(!empty($instagram)){ ?>
												<li><a href="<?php echo $instagram ?>" title="Instagram"  target="_blank"><i class="fa fa-instagram" aria-hidden="true"></i></a></li>
											<?php }?>
											<div class="clearfix"></div>
										
									</div>
								</div>
							<?php }?>
							<div class="col-xl-3 col-lg-4 col-md-7 col-sm-6 col-xs-6 col-8 pd-0 head-btnbx">
								<?php
									$header_btn1_text = get_theme_mod('header_btn1_text', 'DONATE NOW');
									$header_btn1_link = get_theme_mod('header_btn1_link', 'add link here');
									$header_btn2 = get_theme_mod('header_btn2_text', 'VOLUNTEER');
									$header_btn2_link = get_theme_mod('header_btn2_link', 'add link here');
								?>
								<div class="header-btn">
									<?php if( $header_btn1_text){ ?>
										<a href="<?php echo $header_btn1_link; ?>" class="header-btn1"><?php echo $header_btn1_text; ?></a>
									<?php } ?>
									<?php if( $header_btn2){ ?>
										<a href="<?php echo $header_btn2_link; ?>" class="header-btn2"><?php echo $header_btn2; ?></a>
									<?php } ?>
								</div>
							</div>
						</div>
						<div class="clearfix"></div>
					</div>
				</div>
				<div class="clearfix"></div>
			</div>			
			<div class="clearfix"></div>
		</header>
	</div>
<script type="text/javascript">
    $( document ).ready(function() {
     $( "header .share-icn" ).click(function(e) {
         $('header .share-btn').not($(this).next( "header .share-btn" )).each(function(){
            $(this).removeClass("active");
         });
     
            $(this).next( "header .share-btn" ).toggleClass( "active" );
    });   
});
</script>