<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'aboutus', 'about_area', $color='#fff', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Section Padding');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6.6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '8.6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'about_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image_heading',
        array(
            'settings'      => 'about_image_heading',
            'section'       => 'about_area',
            'label'         => __( 'Section Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'about_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image',
        array(
            'section' => 'about_area',
            'settings' => 'about_image',
            'label' => 'Select Image',
            'description' => __('Recommended Image Size: 600X400px', 'luzuk-premium')
        )
    )
);

$wp_customize->add_setting('aboutus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'aboutus_npp_heading',
        array(
            'settings'      => 'aboutus_npp_heading',
            'section'       => 'about_area',
            'label'         => __( 'Number Of Counters To Show', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('aboutus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'aboutus_npp_count',
    array(
        'settings'      => 'aboutus_npp_count',
        'section'       => 'about_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Counters To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//ABOUT PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'aboutus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'aboutus_header'.$i,
            array(
                'settings'      => 'aboutus_header'.$i,
                'section'       => 'about_area',
                'label'         => __( 'Counter ', 'luzuk-premium' ).$i
            )
        )
    );

//lzAddImageElement($wp_customize, 'aboutus_page_icon'.$i, 'about_area', $label="Recommended Image Size: 150X150px");

    //  $wp_customize->add_setting(
    //     'aboutus_page_icon'.$i,
    //     array(
    //         'default'           => 'fa fa-thumbs-up',
    //         'sanitize_callback' => 'luzuk_sanitize_text'
    //     )
    // );        
    // $wp_customize->add_control(
    //     new luzuk_Fontawesome_Icon_Chooser(
    //         $wp_customize,
    //         'aboutus_page_icon'.$i,
    //         array(
    //             'settings'      => 'aboutus_page_icon'.$i,
    //             'section'       => 'about_area',
    //             'type'          => 'icon',
    //             'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
    //         )
    //     )
    // );

lzAddElement($wp_customize, 'aboutus_page_count'.$i, 'about_area', $type = 'text', $label="Counter Number", $callback ='luzuk_sanitize_text', $default='3500');

lzAddElement($wp_customize, 'aboutus_page_title'.$i, 'about_area', $type = 'text', $label="Counter Title", $callback ='luzuk_sanitize_text', $default='Fund Raised');

}

lzCustomLable($wp_customize, 'Sec_abtclor', 'about_area' , 'Counter Box Color');

addColorPalatOption($wp_customize, 'about_area_imgbrd', 'about_area', 'Counter Box BG Color', '#041d59');

addColorPalatOption($wp_customize, 'about_area_imgbrdclr', 'about_area', 'Image Border Color', '#fff');

addColorPalatOption($wp_customize, 'about_area_pagetitle', 'about_area', 'Counter Number And Counter Title Color', '#f6f6f6');

$wp_customize->add_setting(
    'about_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_title_heading',
        array(
            'settings'      => 'about_title_heading',
            'section'       => 'about_area',
            'label'         => __( ' Section Heading', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'about_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'About us', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_title',
    array(
        'settings'      => 'about_title',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'about_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'If you did not know, here is a bit about us.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_subtitle',
    array(
        'settings'      => 'about_subtitle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'about_text1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Far far away, behind the word mountains, far from the countries Vokalia and Consonantia, there live the blind texts. Separated they live in Bookmarksgrove.' )
    )
);
$wp_customize->add_control(
    'about_text1',
    array(
        'settings'      => 'about_text1',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Text 1', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'about_text2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'right at the coast of the Semantics, a large language ocean. A small river named Duden flows by their place and supplies it ' )
    )
);
$wp_customize->add_control(
    'about_text2',
    array(
        'settings'      => 'about_text2',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Text 2', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_sectitle_clr', 'about_area', 'Heading Color ', '#efeeee');

addColorPalatOption($wp_customize, 'about_area_subtitle_clr', 'about_area', 'Sub Heading Color ', '#7e7e7e');

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Text Color', '#606060');



lzCustomLable($wp_customize, 'abtbtn', 'about_area' , 'Section Button');

$wp_customize->add_setting(
    'abtbtntxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Know More' )
    )
);
$wp_customize->add_control(
    'abtbtntxt',
    array(
        'settings'      => 'abtbtntxt',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);

$wp_customize->add_setting('abtbtnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('abtbtnlink',
    array(
        'settings'      => 'abtbtnlink',
        'section'       => 'about_area',
        'type'          => 'url',
        'label'         => __( 'Add Button Link', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_btntext', 'about_area', 'Button Text Color', '#000');

addColorPalatOption($wp_customize, 'about_area_btntexthv', 'about_area', 'Button Text Hover Color', '#041d59');

addColorPalatOption($wp_customize, 'about_area_btnbg', 'about_area', 'Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'about_area_btnbghv', 'about_area', 'Button BG Hover Color', '#041d59');

addColorPalatOption($wp_customize, 'about_area_btnbrdclr', 'about_area', 'Button Border Color', '#000');



