<?php 
$wp_customize->add_section(
    'causes_area',
    array(
        'title'         => __( 'Causes Section', 'luzuk' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);
$wp_customize->add_setting(
    'causes_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'causes_area_disable',
        array(
            'settings'      => 'causes_area_disable',
            'section'       => 'causes_area',
            'label'         => __( 'Disable Section', 'luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk' ),
                'off' => __( 'No', 'luzuk' )
            )   
        )
    )
);

backgroundManager($wp_customize, 'causes', 'causes_area', $color='#f8f8f8', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'luzuk_sec_causesectionpadding', 'causes_area', 'Section Padding');

$wp_customize->add_setting(
    'causes_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'causes_areaTpadding',
    array(
        'settings'      => 'causes_areaTpadding',
        'section'       => 'causes_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'causes_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2.35em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'causes_areaBpadding',
    array(
        'settings'      => 'causes_areaBpadding',
        'section'       => 'causes_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'causes_maintitle_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'causes_maintitle_subtitle_heading',
        array(
            'settings'      => 'causes_maintitle_subtitle_heading',
            'section'       => 'causes_area',
            'label'         => __( 'Section Heading, Button And Text', 'luzuk' ),
        )
    )
);

$wp_customize->add_setting(
    'causes_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Our Causes', 'luzuk' )
    )
);
$wp_customize->add_control(
    'causes_maintitle',
    array(
        'settings'      => 'causes_maintitle',
        'section'       => 'causes_area', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk' )
    )
);

$wp_customize->add_setting(
    'causes_button',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'ALL CAUSES', 'luzuk' )
    )
);
$wp_customize->add_control(
    'causes_button',
    array(
        'settings'      => 'causes_button',
        'section'       => 'causes_area', 
        'type'          => 'text',
        'label'         => __( 'Section Button', 'luzuk' )
    )
);

$wp_customize->add_setting('causes_buttonlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('causes_buttonlink',
    array(
        'settings'      => 'causes_buttonlink',
        'section'       => 'causes_area',
        'type'          => 'url',
        'label'         => __( 'Add Button Link', 'luzuk-premium' )
    )
);
 
$wp_customize->add_setting(
    'causes_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.', 'luzuk' )
    )
);
$wp_customize->add_control(
    'causes_text',
    array(
        'settings'      => 'causes_text',
        'section'       => 'causes_area', 
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk' )
    )
);

lzCustomLable($wp_customize, 'luzuk_sec_causesheadclr', 'causes_area', 'Heading And Button Color');

addColorPalatOption($wp_customize, 'sersec_heading_clr', 'causes_area', 'Heading Color ', '#041d59');

addColorPalatOption($wp_customize, 'sersec_headingDot1_clr', 'causes_area', 'Heading Border Color', '#000');

addColorPalatOption($wp_customize, 'sersec_btn_clr', 'causes_area', 'Section Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'sersec_btnhv_clr', 'causes_area', 'Section Button Text Hover Color', '#041d59');

addColorPalatOption($wp_customize, 'sersec_btnbg_clr', 'causes_area', 'Section Button BG Color', '#041d59');

addColorPalatOption($wp_customize, 'sersec_btnbghv_clr', 'causes_area', 'Section Button BG Hover Color', '#efc94c');

addColorPalatOption($wp_customize, 'sersec_btnhvbrd_clr', 'causes_area', 'Section Button Hover Border Color', '#041d59');

addColorPalatOption($wp_customize, 'sersec_txt_clr', 'causes_area', 'Section text Color', '#041d57');

$wp_customize->add_setting('causes_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'causes_npp_heading',
        array(
            'settings'      => 'causes_npp_heading',
            'section'       => 'causes_area',
            'label'         => __( 'Number Of Causes To Show', 'luzuk' ),
        )
    )
);    
$wp_customize->add_setting('causes_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'causes_npp_count',
    array(
        'settings'      => 'causes_npp_count',
        'section'       => 'causes_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Causes To Show', 'luzuk' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9)
    )
);

//Causes PAGES
for( $i = 1; $i <= 8; $i++ ){
    $wp_customize->add_setting(
        'causes_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'causes_header'.$i,
            array(
                'settings'      => 'causes_header'.$i,
                'section'       => 'causes_area',
                'label'         => __( 'Causes Box ', 'luzuk-premium' ).$i
            )
        )
    );

    //  $wp_customize->add_setting(
    //     'causes_page_icon'.$i,
    //     array(
    //         'default'           => 'fa fa-heartbeat',
    //         'sanitize_callback' => 'luzuk_sanitize_text'
    //     )
    // );        
    // $wp_customize->add_control(
    //     new luzuk_Fontawesome_Icon_Chooser(
    //         $wp_customize,
    //         'causes_page_icon'.$i,
    //         array(
    //             'settings'      => 'causes_page_icon'.$i,
    //             'section'       => 'causes_area',
    //             'type'          => 'icon',
    //             'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
    //         )
    //     )
    // );

    $wp_customize->add_setting(
        'causes_image'.$i,
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'causes_image'.$i,
            array(
                'section' => 'causes_area',
                'settings' => 'causes_image'.$i,
                'label' => 'Select Image',
                'description' => __('Recommended Image Size: 410X316px', 'luzuk-premium')
            )
        )
    ); 

lzAddElement($wp_customize, 'causes_page_title'.$i, 'causes_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Child Support');

lzAddElement($wp_customize, 'causes_page_text'.$i, 'causes_area', $type = 'text', $label="Text", $callback ='luzuk_sanitize_text', $default='Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum labore suspendisse ultrices gravida .');

lzAddElement($wp_customize, 'causes_btn_text'.$i, 'causes_area', $type = 'text', $label="ButtonText", $callback ='luzuk_sanitize_text', $default='Donate Now');

lzAddElement($wp_customize, 'causes_page_url_'.$i, 'causes_area', $type = 'text', $label=" Link", $callback ='esc_url', $default='Add link here');

}

lzCustomLable($wp_customize, 'luzuk_sec_causesclr', 'causes_area', 'Causes Section Color');

addColorPalatOption($wp_customize, 'causesarea_boxbg_clr', 'causes_area', 'Box BG Color ', '#fefefe');

addColorPalatOption($wp_customize, 'causesarea_imghvcircle_clr', 'causes_area', 'Image Hover Color ', '#041d59');

addColorPalatOption($wp_customize, 'causes_secTitleClr', 'causes_area', 'Title Color ', '#474747');

addColorPalatOption($wp_customize, 'causes_secTitlehvClr', 'causes_area', 'Title Hover Color ', '#041d59');

addColorPalatOption($wp_customize, 'causes_sectxtlClr', 'causes_area', 'Text Color ', '#5c5c61');

addColorPalatOption($wp_customize, 'causes_btnarowclr', 'causes_area', 'Button Text Color ', '#000');

addColorPalatOption($wp_customize, 'causes_btnarowhvclr', 'causes_area', 'Button Text Hover Color ', '#041d59');

addColorPalatOption($wp_customize, 'causes_btnarowbgclr', 'causes_area', 'Button BG Color ', '#fff');

addColorPalatOption($wp_customize, 'causes_btnarowbghvclr', 'causes_area', 'Button BG Hover Color ', '#fff');

addColorPalatOption($wp_customize, 'causes_btnbrdclr', 'causes_area', 'Button Border Color ', '#000');